Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libopenEMS0-0.0.35-lp151.3.1 RPM for armv7hl

From OpenSuSE Ports Leap 15.1 for armv7hl

Name: libopenEMS0 Distribution: openSUSE:Leap:15.1:ARM / ports
Version: 0.0.35 Vendor: obs://build.opensuse.org/openSUSE:Leap
Release: lp151.3.1 Build date: Mon Jul 9 08:34:27 2018
Group: System/Libraries Build host: armbuild15
Size: 830804 Source RPM: openEMS-0.0.35-lp151.3.1.src.rpm
Url: http://openems.de
Summary: Electromagnetic field solver library
Electromagnetic field solver using the EC-FDTD method library.

Provides

Requires

License

GPL-3.0-only

Changelog

* Tue Mar 27 2018 stefan.bruens@rwth-aachen.de
  - Fix build on e.g. ARM, use x86 intrinsics only on x86
    add 0001-Guard-xmmintrin.h-include-so-it-is-only-used-when-ne.patch
* Tue Mar 27 2018 stefan.bruens@rwth-aachen.de
  - Change the Qt BuildRequires: for older distributions, Leap 42.x
    has a VTK build with Qt4, use the same conditional as the VTK
    package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
  - Fix build when using -std=gnu++11 and glibc <= 2.25
    add 0001-Fix-build-error-due-to-ambigous-overload-of-isnan-is.patch
* Wed Jan 17 2018 adam.majer@suse.de
  - Fix boost build dependencies (boo#1062789)
* Wed Dec 27 2017 kkaempf@suse.com
  - Update to 0.0.35
    * build fixes
    * critical bug fix in waveguide ports
    * fix for boxes defined in different coordinate systems
    * other smaller fixes
  - patch rename and cleanop, now based on git format-patch
    * openEMS-vtk.patch to 0001-Fix-linking-for-VTK-6.3.patch
    * openEMS-octave-openEMS-load.patch to 0002-Fix-openEMS.sh-load.patch
    * openEMS-octave-nf2ff-load.patch to 0003-Fix-nf2ff-load.patch
    * openEMS-readme-octave-package.patch to 0004-Add-correct-instruction-about-Octave-and-MATLAB-pack.patch
    * openEMS-hdf5.patch to 0005-Fix-build-with-HDF5.patch
    * openEMS-no-return.patch to 0006-Add-missing-return-statement.patch
* Thu Oct 26 2017 badshah400@gmail.com
  - Source mpi variables before building to prevent build failures
    on openSUSE > 1320.
  - Add BuildRequires: sz2-devel, needed for building for openSUSE
    >= 1320.
* Wed Sep 13 2017 stefan.bruens@rwth-aachen.de
  - Add explicit BuildRequires for vtk-java, vtk-tcl and python3-vtk,
    and Qt5Sql/Qt5Widgets devel packages, as these are no longer
    implicitly required by vtk-devel
* Sun Jan 01 2017 jengelh@inai.de
  - Correct RPM group selection
* Fri Aug 26 2016 dmitry_r@opensuse.org
  - Update to version 0.0.34
    * Bugfix release
    * Update openEMS-vtk.patch
  - Drop obsolete
    * openEMS-vtk7-support.patch
  - Fix build with HDF5
    * openEMS-hdf5.patch
  - Fix GCC no-return-in-nonvoid-function
    * openEMS-no-return.patch
* Sat Jun 11 2016 dmitry_r@opensuse.org
  - Fix build due to missing libraries
* Mon Mar 21 2016 dmitry_r@opensuse.org
  - Fix build with VTK 7
    * openEMS-vtk7-support.patch
* Sun Nov 08 2015 dmitry_r@opensuse.org
  - Initial package, version 0.0.33
  - Fix linking for VTK >= 6.3
    * openEMS-vtk.patch
  - Fix openEMS.sh load
    * openEMS-octave-openEMS-load.patch
  - Fix nf2ff load
    * openEMS-octave-nf2ff-load.patch
  - Add correct instruction about Octave and MATLAB packages
    * openEMS-readme-octave-package.patch

Files

/usr/lib/libopenEMS.so.0
/usr/lib/libopenEMS.so.0.0.35


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Jun 9 14:15:22 2021